export interface Key {
  key: string;
  valid_until: number;
}

export interface LabelledKey extends Key {
  index: string;
}

export interface KeyPair {
  private_key?: Key;
  public_key: Key;
}

export type KeyStoreData = Record<string, KeyPair>;
export type KeyStoreExport = LabelledKey[];
